# -*- coding: utf-8 -*-

from datetime import datetime

from libastra_csp.certificate import Certificate


class CertificateInfo(dict):
    def __init__(self, cert: Certificate) -> None:
        super().__init__()
        self.update(cert)
        self.__convert_date_values()

    def __convert_date_values(self) -> None:
        for key in ['Not valid before', 'Not valid after']:
            self.__convert_date_value(key)

    def __convert_date_value(self, key: str) -> None:
        if key in self:
            self[key] = self.__convert_date(self[key])

    @staticmethod
    def __convert_date(date: str) -> str:
        return datetime.strptime(date, '%d/%m/%Y  %H:%M:%S %Z').strftime('%d.%m.%Y')
