# -*- coding: utf-8 -*-

from PyQt5.QtWidgets import QWidget, QSpinBox


class PagesSpinBox(QSpinBox):
    def __init__(self, parent: QWidget = None) -> None:
        super().__init__(parent)
        self.__setup()

    def set_pages_count(self, count: int) -> None:
        self.setRange(self.minimum(), count)
        self.setSuffix(' / {count}'.format(count=count))

    def __setup(self) -> None:
        self.setRange(1, self.maximum())
        self.set_pages_count(1)
        self.setButtonSymbols(QSpinBox.NoButtons)
