# -*- coding: utf-8 -*-

from typing import Optional

from PyQt5.QtCore import QSettings

from libastra_csp.settings import Settings


class SignatureMarkUserSettings(Settings):
    __last_template_key = 'LastWatermarkTemplate'

    def __init__(self) -> None:
        super().__init__(QSettings(QSettings.NativeFormat, QSettings.UserScope, 'rusbitech', 'fly-csp-preview'))

    @property
    def last_template(self) -> Optional[str]:
        return self._settings.value(self.__last_template_key)

    @last_template.setter
    def last_template(self, path: str) -> None:
        self._settings.setValue(self.__last_template_key, path)
        self._settings.sync()
