# -*- coding: utf-8 -*-

from PyQt5.QtWidgets import QLabel
from PyQt5.QtGui import QResizeEvent
from PyQt5.QtCore import pyqtSignal, QSize


class ViewLabel(QLabel):
    has_resize = pyqtSignal(QSize, QSize)

    def resizeEvent(self, event: QResizeEvent) -> None:
        super().resizeEvent(event)
        self.has_resize.emit(event.oldSize(), event.size())
